<?php
/**
 * Cryozonic
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Single Domain License
 * that is available through the world-wide-web at this URL:
 * http://cryozonic.com/licenses/stripe.html
 * If you are unable to obtain it through the world-wide-web, 
 * please send an email to info@cryozonic.com so we can send 
 * you a copy immediately.
 *
 * @category   Cryozonic
 * @package    Cryozonic_Stripe
 * @copyright  Copyright (c) 2013 Cryozonic Ltd (http://cryozonic.com)
 */

$savedCards = $this->stripe->getCustomerCards();

?>
<div class="page-title">
    <h1><?php echo $this->__('Saved Cards') ?></h1>
</div>
<?php echo $this->getMessagesBlock()->getGroupedHtml() ?>

<?php if (empty($savedCards)): ?>

	<p>You have no saved cards.</p>

    <div class="buttons-set">
        <p class="back-link"><a href="<?php echo $this->getBackUrl() ?>"><small>&laquo; </small><?php echo $this->__('Back') ?></a></p>
    </div>

<?php else: ?>

<style type="text/css">
.sp-methods ul.saved-cards li label {
    float: none;
}
ul.saved-cards span {
    display: inline-block;
}
ul.saved-cards span.type {
    font-weight: bold;
    margin-left: 3px;
}
ul.saved-cards span.exp {
    float: right;
}
ul.saved-cards span.fade {
    color: #aaa;
    font-weight: normal;
}
</style>

<?php echo $this->getChildHtml('form_before')?>
<form action="" method="post" id="form-validate">
    <div class="fieldset">
        <?php echo $this->getBlockHtml('formkey')?>
        <h2 class="legend"><?php echo $this->__('Select cards to remove') ?></h2>
        <ul class="saved-cards" id="saved-cards">
            <?php foreach ($savedCards as $key => $card): ?>
            <li>
                <input type="checkbox" name="card[]" value="<?php echo $card->id; ?>" id="<?php echo $card->id; ?>" class="select">
                <label for="<?php echo $card->id; ?>">
                    <span class="type <?php echo $card->type ?>"><?php echo $card->type; ?></span>
                    <span class="last4 fade"><?php echo $this->__('ending in'); ?> <?php echo $card->last4; ?></span>
                    <span class="exp fade"><?php echo $this->__('expires'); ?>
                        <?php echo str_pad($card->exp_month,2,'0',STR_PAD_LEFT); ?>/<?php echo $card->exp_year; ?>
                    </span>
                </label>
            </li>
            <?php endforeach; ?>
        </ul>
    </div>
    <div class="buttons-set">
        <p class="back-link"><a href="<?php echo $this->getBackUrl() ?>"><small>&laquo; </small><?php echo $this->__('Back') ?></a></p>
        <button type="submit" title="<?php echo $this->__('Save') ?>" class="button"><span><span><?php echo $this->__('Remove') ?></span></span></button>
    </div>
</form>

<?php endif; ?>